## ros-lunar-rospack 2.5.2

=== debian/changelog ===
ros-lunar-rospack (2.5.2-0xenial) xenial; urgency=high

  * add delete whitespace settings for backward compatibility, regression from 2.4.0 (#94 <https://github.com/ros/rospack/issues/94>)
  * fix build issue on Windows (#90 <https://github.com/ros/rospack/issues/90>)
  * use namespace to avoid name conflict between tinyxml2 and msxml (#89 <https://github.com/ros/rospack/issues/89>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 05 Sep 2018 07:00:00 -0000

ros-lunar-rospack (2.5.1-0xenial) xenial; urgency=high

  * add run_depend on ros_environment (#88 <https://github.com/ros/rospack/issues/88>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 31 May 2018 07:00:00 -0000

ros-lunar-rospack (2.5.0-0xenial) xenial; urgency=high

  * skip warning if permission to read directory was denied (#87 <https://github.com/ros/rospack/issues/87>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 30 Jan 2018 08:00:00 -0000

ros-lunar-rospack (2.4.3-0xenial) xenial; urgency=high

  * add README.md with notes about tinyxml2 (#82 <https://github.com/ros/rospack/issues/82>)
  * replace references to deprecated Boost.TR1 (#80 <https://github.com/ros/rospack/issues/80>)
  * fix Python.h redefining pre-processor definitions (#78 <https://github.com/ros/rospack/issues/78>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 12 Oct 2017 07:00:00 -0000

ros-lunar-rospack (2.4.2-0xenial) xenial; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-rospack (2.4.1-0xenial) xenial; urgency=high

  * fix inverted result code check, regression from 2.4.0 (#70 <https://github.com/ros/rospack/issues/70>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-lunar-rospack (2.4.0-0xenial) xenial; urgency=high

  * make some deps* functions public (#65 <https://github.com/ros/rospack/pull/65>)
  * switch from TinyXML to TinyXML2 (#62 <https://github.com/ros/rospack/pull/62>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 22 Feb 2017 08:00:00 -0000

ros-lunar-rospack (2.3.2-0xenial) xenial; urgency=high

  * add license field in Stackage class (#66 <https://github.com/ros/rospack/issues/66>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-lunar-rospack (2.3.1-0xenial) xenial; urgency=high

  * fix FTBFS on hurd-i386 (#64 <https://github.com/ros/rospack/issues/64>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Sep 2016 07:00:00 -0000

ros-lunar-rospack (2.3.0-0xenial) xenial; urgency=high

  * allow caching of rospack results (#49 <https://github.com/ros/rospack/issues/49>)
  * fix memory leak in Rosstackage::addStackage (#59 <https://github.com/ros/rospack/issues/59>)
  * return false in depsOnDetail if the package name in rospack plugins can not be found (#51 <https://github.com/ros/rospack/issues/51>)
  * #undef symbols before #defining them to avoid preprocessor warnings in the case that they were already #defined (#50 <https://github.com/ros/rospack/issues/50>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 09 Mar 2016 08:00:00 -0000

ros-lunar-rospack (2.2.5-0xenial) xenial; urgency=high

  * support tags defined in package format 2 (#43 <https://github.com/ros/rospack/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 04 Sep 2014 07:00:00 -0000

ros-lunar-rospack (2.2.4-0xenial) xenial; urgency=high

  * fix find_package(PythonLibs ...) with CMake 3 (#42 <https://github.com/ros/rospack/issues/42>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-lunar-rospack (2.2.3-0xenial) xenial; urgency=high

  * find library for exact Python version (even if not in CMake provided list of version numbers) (#40 <https://github.com/ros/rospack/issues/40>)
  * find TinyXML using cmake_modules (#24 <https://github.com/ros/rospack/issues/24>)
  * make error messages tool specific (rospack vs. rosstack) (#38 <https://github.com/ros/rospack/issues/38>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-lunar-rospack (2.2.2-0xenial) xenial; urgency=high

  * python 3 compatibility (#35 <https://github.com/ros/rospack/issues/35>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2014 08:00:00 -0000

ros-lunar-rospack (2.2.1-0xenial) xenial; urgency=high

  * only perform backquote substitution when needed (#34 <https://github.com/ros/rospack/issues/34>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2014 08:00:00 -0000

ros-lunar-rospack (2.2.0-0xenial) xenial; urgency=high

  * add hash of ROS_PACKAGE_PATH to rospack/rosstack cache filename, remove ROS_ROOT from cache (#28 <https://github.com/ros/rospack/issues/28>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Jan 2014 08:00:00 -0000

ros-lunar-rospack (2.1.22-0xenial) xenial; urgency=high

  * use specific python version catkin has decided on (#29 <https://github.com/ros/rospack/issues/29>)
  * python 3 compatibility (#25 <https://github.com/ros/rospack/issues/25>, #27 <https://github.com/ros/rospack/issues/27>)
  * fall back gracefully whe gtest is not available
  * update package urls

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 07 Jan 2014 08:00:00 -0000

ros-lunar-rospack (2.1.21-0xenial) xenial; urgency=high

  * honor CATKIN_IGNORE marker file when crawling for packages (#21 <https://github.com/ros/rospack/issues/21>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 05 Jul 2013 07:00:00 -0000

ros-lunar-rospack (2.1.20-0xenial) xenial; urgency=high

  * improve error message to include package names when circular dependency is detected (#18 <https://github.com/ros/rospack/issues/18>)
  * check for CATKIN_ENABLE_TESTING to enable configure without tests
  * add '-h' option

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jul 2013 07:00:00 -0000

ros-lunar-rospack (2.1.19-0xenial) xenial; urgency=high


