=== debian/control ===
Source: ros-lunar-rospack
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libgtest-dev, libtinyxml2-dev, pkg-config, python-coverage, python-dev, ros-lunar-catkin (>= 0.5.68), ros-lunar-cmake-modules
Homepage: http://wiki.ros.org/rospack
Standards-Version: 3.9.2

Package: ros-lunar-rospack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libtinyxml2-dev, pkg-config, python-catkin-pkg, python-dev, python-rosdep, ros-lunar-ros-environment
Description: ROS Package Tool
